module Science.Constants where

fineStructureConstant = 7.2973525698e-3

inverseFineStructureConstant = 137.035999074

planckConstant  = 6.62606957e-34
plancksConstant = planckConstant

reducedPlanckConstant  = 1.054571726e-34
reducedPlancksConstant = reducedPlanckConstant
planckConstantOver2Pi  = reducedPlanckConstant
plancksConstantOver2Pi = reducedPlanckConstant
hbar                   = reducedPlanckConstant
hslash                 = reducedPlanckConstant

speedOfLight = 299792458.0

vacuumPermeability      = 4*pi*1e-7
permeabilityOfFreeSpace = vacuumPermeability
magneticConstant        = vacuumPermeability
mu_0                    = vacuumPermeability

vacuumPermittivity = 8.854187817e-12
electricConstant   = vacuumPermittivity
eps_0              = vacuumPermittivity

coloumbsConstant      = 8.9875517873681764e9
coloumbConstant       = coloumbsConstant
electricForceConstant = coloumbsConstant
electrostaticConstant = coloumbsConstant

rydbergConstant  = 10973731.568539
rydbergsConstant = 10973731.568539

avogadroConstant = 6.02214129e23

boltzmannConstant  = 1.3806488e-23
boltzmannsConstant = boltzmannConstant

molarGasConstant     = 8.3144621
idealGasConstant     = molarGasConstant
universalGasConstant = molarGasConstant

molarMassConstant     = 0.001

gravitationalConstant = 6.67384e-11
newtonConstant        = gravitationalConstant
newtonsConstant       = gravitationalConstant
bigG                  = gravitationalConstant 

standardAccelerationOfGravity = 9.80665
earthAccelerationOfGravity    = standardAccelerationOfGravity

atomicMassConstant = 1.660538921e-27
atomicMassUnit     = atomicMassConstant
dalton             = atomicMassConstant

electronMolarMass   = 5.4857990946e-7
molarMassOfElectron = electronMolarMass

massOfElectron = 9.10938291e-31

massOfProton = 1.672621777e-27

elementaryCharge = 1.602176565e-19
chargeOfProton   = elementaryCharge

chargeOfElectron = -chargeOfProton

eulerMascheroniConstant = 0.5772156649015329
eulerGamma              = eulerMascheroniConstant

aperysConstant = 1.2020569031595942
aperyConstant  = aperysConstant

eulersNumber    = exp 1
eulerNumber     = exp 1
napiersConstant = exp 1
napierConstant  = exp 1

goldenRatio = (1 + sqrt(5)) / 2

silverRatio = 1 + sqrt(2)
